public class OpenSearchParserImpl extends Object implements OpenSearchParser
| Modifier and Type | Field and Description |
|---|---|
static String |
SEARCH_TERMS |
| Constructor and Description |
|---|
OpenSearchParserImpl() |
| Modifier and Type | Method and Description |
|---|---|
void |
populateContextual(org.apache.cxf.jaxrs.client.WebClient client,
Map<String,String> searchPhraseMap,
List<String> parameters)
Fills in the OpenSearch query URL with contextual information (Note: Section 2.2 - Query: The
OpenSearch specification does not define a syntax for its primary query parameter, searchTerms,
but it is generally used to support simple keyword queries.)
|
void |
populateGeospatial(org.apache.cxf.jaxrs.client.WebClient client,
SpatialDistanceFilter spatial,
boolean shouldConvertToBBox,
List<String> parameters)
Fills in the OpenSearch query URL with geospatial information (poly, lat, lon, and radius).
|
void |
populateGeospatial(org.apache.cxf.jaxrs.client.WebClient client,
SpatialFilter spatial,
boolean shouldConvertToBBox,
List<String> parameters)
Fills in the OpenSearch query URL with geospatial information (poly, lat, lon, and radius).
|
void |
populateSearchOptions(org.apache.cxf.jaxrs.client.WebClient client,
QueryRequest queryRequest,
Subject subject,
List<String> parameters)
Populates general site information.
|
void |
populateTemporal(org.apache.cxf.jaxrs.client.WebClient client,
TemporalFilter temporal,
List<String> parameters)
Fills in the OpenSearch query URL with temporal information (Start, End, and Name).
|
public static final String SEARCH_TERMS
public void populateSearchOptions(org.apache.cxf.jaxrs.client.WebClient client,
QueryRequest queryRequest,
Subject subject,
List<String> parameters)
OpenSearchParserpopulateSearchOptions in interface OpenSearchParserclient - - OpenSearch URL to populatequeryRequest - - The query request from which to populate the search optionssubject - - The subject associated with the queryparameters - - the given OpenSearch parameterspublic void populateContextual(org.apache.cxf.jaxrs.client.WebClient client,
Map<String,String> searchPhraseMap,
List<String> parameters)
OpenSearchParserpopulateContextual in interface OpenSearchParserclient - - OpenSearch URL to populatesearchPhraseMap - - a map of search queriesparameters - - the given OpenSearch parameterspublic void populateTemporal(org.apache.cxf.jaxrs.client.WebClient client,
TemporalFilter temporal,
List<String> parameters)
OpenSearchParserpopulateTemporal in interface OpenSearchParserclient - - OpenSearch URL to populatetemporal - - the TemporalFilter that contains the temporal informationparameters - - the given OpenSearch parameterspublic void populateGeospatial(org.apache.cxf.jaxrs.client.WebClient client,
SpatialDistanceFilter spatial,
boolean shouldConvertToBBox,
List<String> parameters)
throws UnsupportedQueryException
OpenSearchParserpopulateGeospatial in interface OpenSearchParserclient - - OpenSearch URL to populatespatial - - SpatialDistanceFilter that contains the spatial datashouldConvertToBBox - - true if the SpatialFilter should be converted to a Bounding Boxparameters - - the given OpenSearch parametersUnsupportedQueryExceptionpublic void populateGeospatial(org.apache.cxf.jaxrs.client.WebClient client,
SpatialFilter spatial,
boolean shouldConvertToBBox,
List<String> parameters)
throws UnsupportedQueryException
OpenSearchParserpopulateGeospatial in interface OpenSearchParserclient - - OpenSearch URL to populatespatial - - SpatialFilter that contains the spatial datashouldConvertToBBox - - true if the SpatialFilter should be converted to a Bounding Boxparameters - - the given OpenSearch parametersUnsupportedQueryExceptionThis work is licensed under a Creative Commons Attribution 4.0 International License.